Subject: Re: [PATCH net-next 0/7] Allow to monitor multicast cache event via rtnetlink

From: Nicolas Dichtel <[email-masked]>
Date: Tue, 04 Dec 2012 21:02:27 +0100

Le 04/12/2012 19:09, David Miller a écrit :
> From: Nicolas Dichtel <[email-masked]>
> Date: Tue,  4 Dec 2012 12:13:34 +0100
>
>> The goal of this serie is to be able to monitor multicast activities via
>> rtnetlink.
>>
>> The main changes are:
>>   - when user dumps mfc entries it now get all entries, included the unresolved
>>     cache.
>>   - kernel sends rtnetlink when it adds/deletes mfc entries.
>>
>> As usual, the patch against iproute2 will be sent once the patches are included and
>> net-next merged. I can send it on demand.
>
> This looks good, applied, thanks Nicolas.
>
> The one thing I worry about are those 64-bit statistics.  I fear that they
> not be 64-bit aligned in the final netlink message.  This matters on cpus
> that trap on unaligned loads/stores, such as sparc and MIPS.
>
> Can you validate this?
>
I can have a try on a tile platform. I don't have access to sparc or mips.